// Program 8.19 i boken.
package spill;    // Fil: spill/DeltakerIdentitet.java

/** Identititeten til en deltaker i spillet.  Objekter av denne klassen kan
    betraktes som en samling av like spillebrikker, og kan ogs betraktes
    som identiteten til spilleren som eier samlingen av brikker. */
public class DeltakerIdentitet implements IBrikkeIdentitet {
  private ISpiller spiller;
  public String tekstRepresentasjon;

  public DeltakerIdentitet() {
  }

  public DeltakerIdentitet(ISpiller spiller, String tekstRepresentasjon) {
    this.spiller = spiller;
    this.tekstRepresentasjon = tekstRepresentasjon;
  }

  public void utfrTrekk(Spillebrett brett) {
    spiller.utfrTrekk(this, brett);
  }
};
