package spill.swing;    // Fil: spill/swing/KomponentFargeIdentitet.java
import java.awt.Color;
import java.awt.Component;

import spill.DeltakerIdentitet;
import spill.ISpiller;

/** Identiteten til en deltaker av et spill som spilles i et grafisk
    bruker grensesnitt hvor hver rute p spillebrettet presenteres
    som en java.awt.Component med en gitt farge. */
public class KomponentFargeIdentitet extends DeltakerIdentitet {
  Color farge;

  public KomponentFargeIdentitet(ISpiller spiller, Color farge,
				 String beskrivendeNavn)
{
    super(spiller, beskrivendeNavn);
    this.farge = farge;
  }

  public void fargeleggKomponent(Component komponent) {
    komponent.setBackground(farge);
  }
}
