package spill.swing;    // Fil: spill/swing/SwingSpiller.java
import spill.IBrikkeIdentitet;
import spill.ISpiller;
import spill.Spillebrett;

public class SwingSpiller implements ISpiller {
  SpillSwingGrensesnitt grensesnitt;

  SwingSpiller(SpillSwingGrensesnitt grensesnitt) {
    this.grensesnitt = grensesnitt;
  }

  public void utfrTrekk(IBrikkeIdentitet brikke, Spillebrett brett) {
    assert !brett.erSpillFerdig();
    for (int kolonne = 0; kolonne < Spillebrett.KOLONNE_ANTALL; ++kolonne)
      grensesnitt.settSlippTillatelseForKolonne(kolonne, 
          brett.erGyldigKolonneValg(kolonne));
  }
}
