// Program 8.20 i boken.
package spill.terminal;    // Fil: spill/terminal/SpillTekstGrensesnitt.java
import spill.AbstraktGrensesnitt;

public class SpillTekstGrensesnitt extends AbstraktGrensesnitt {
  protected void visSpillebrett() {
    System.out.print(spillebrettSomTekst());
  }

  protected void visBeskjed(String tekst) {
    System.out.println(tekst);
  }

  private String spillebrettRadSomTekst(int rad) {
    final int ANTALL_KOLONNER = 7;
    final int SISTE_KOLONNE = ANTALL_KOLONNER - 1;
    String radTekst = "|";
    for (int kolonne = 0; kolonne < SISTE_KOLONNE; ++kolonne)
      radTekst += spillebrettRuteSomTekst(kolonne, rad) + " ";
    return radTekst + spillebrettRuteSomTekst(SISTE_KOLONNE, rad) + "|";
  }

  private String spillebrettRuteSomTekst(int kolonne, int rad) {
    return identitetSomTekst(brett.brikkeVed(kolonne, rad));
  }

  private String spillebrettSomTekst() {
    String tekst = " 0 1 2 3 4 5 6\n";
    final int VERSTE_RAD = 5;
    for (int rad = VERSTE_RAD; rad >= 0; --rad)
      tekst += spillebrettRadSomTekst(rad) + "\n";
    return tekst + "===============\n";
  }
}
