// Program 8.15 i boken.
package spill;    // Fil: spill/ISpiller

/** En spiller som kan utfre trekk p et Spillebrett.  Implementasjoner av
    denne kontrakten kan tilby strategier for  komme fram til et kolonnevalg
    for hvert trekk. */
public interface ISpiller {
  /** Velger en av de ledige kolonnene p spillebrettet og kaller
      slippBrikkeNedKolonne()-metoden p Spillebrett-objektet.
      Spiller-implementasjoner kan velge mellom  utfre kallet til
      slippBrikkeNedKolonne() umiddelbart, eller p et senere tidspunkt. */
  void utfrTrekk(IBrikkeIdentitet brikke, Spillebrett brett);
}
