// Program 8.16 i boken.
package spill;    // Fil: spill/RandomSpiller.java

public class RandomSpiller implements ISpiller {
  public void utfrTrekk(IBrikkeIdentitet brikke, Spillebrett brett) {
    assert !brett.erSpillFerdig();

    int valg;
    do {
      valg = (int) (Math.random() * Spillebrett.KOLONNE_ANTALL);
    } while (!brett.erGyldigKolonneValg(valg));

    brett.slippBrikkeNedKolonne(brikke, valg);
  }
}
