// Program 8.21 i boken.
package spill.terminal;    // Fil: spill/terminal/LettSpill.java
import spill.DeltakerIdentitet;
import spill.IBrikkeIdentitet;
import spill.RandomSpiller;
import spill.Spillebrett;
/** Et lett spill hvor brukeren spiller mot en maskinmotstander som
    gjr trekk p mf. */
public class LettSpill {
  public static void main(String args[]) {
    SpillTekstGrensesnitt grensesnitt = new SpillTekstGrensesnitt();
    IBrikkeIdentitet[] deltakere = new IBrikkeIdentitet[] {
      new DeltakerIdentitet(new TerminalSpiller(), "T"),
      new DeltakerIdentitet(new RandomSpiller(),   "R")
    };
    IBrikkeIdentitet tomRute = new DeltakerIdentitet(null, ".");
    Spillebrett brett = new Spillebrett(deltakere, tomRute, grensesnitt);
    grensesnitt.kjrSpillLkke();
  }
}
