package spill.test;    // Fil: spill/test/SpillSimulator.java
import spill.DeltakerIdentitet;
import spill.IBrikkeIdentitet;
import spill.Spillebrett;

public class SpillSimulator {
  public static final IBrikkeIdentitet X_BRIKKE = new DeltakerIdentitet();
  public static final IBrikkeIdentitet O_BRIKKE = new DeltakerIdentitet();
  public static final IBrikkeIdentitet TOM_RUTE = new DeltakerIdentitet();

  public static Spillebrett byggSpillebrett(String trekkSekvens) {
    IBrikkeIdentitet[] brikker = new IBrikkeIdentitet[]{ X_BRIKKE, O_BRIKKE };
    Spillebrett brett = new Spillebrett(brikker, TOM_RUTE);
    for (int i = 0; i < trekkSekvens.length(); ++i) {
      int kolonne = Integer.parseInt(trekkSekvens.substring(i, i+1));
      brett.slippBrikkeNedKolonne(brett.nesteBrikke(), kolonne);
    }
    return brett;
  }
}
